<?xml version="1.0"?>

<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.

  $RCSfile: stockquote.xsl,v $ $Revision: 1.2 $ $Date: 2003/08/04 19:43:08 $
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
<xsl:for-each select="market-data/quote-set/quote">

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@name"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@exchange-code"/>, <xsl:value-of select="./@hyperfeed-time"/></xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="letzten "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@last"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Öffnen "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@open"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Wechseln "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@change"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Letzter Schlusskurs "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@close"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="% Änderung "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@percent-change"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Angebot "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@bid"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Umfang "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@volume"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Preisangebot "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@ask"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Höchster Tageskurs "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@high"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="52 Höchster Wochenkurs "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@high-52-week"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="Niedrigster Tageskurs "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@low"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

  <AmlBr />
  <AmlText text="52 Niedrigster Wochenkurs "/>

  <xsl:element name="AmlText">
    <xsl:attribute name="text"> <xsl:value-of select="./@low-52-week"/> </xsl:attribute>
    <xsl:apply-templates/>
  </xsl:element>

</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
